/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_SETO                                                     */
/* Tabela : SETORCOZ                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 02/08/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_SETO
BEFORE INSERT OR UPDATE OR DELETE
ON SETORCOZ FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUSETC := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDSETORCOZ,0) <> NVL(:NEW.CDSETORCOZ,0)) OR
         (NVL(:OLD.NMSETORCOZ,0) <> NVL(:NEW.NMSETORCOZ,0)) THEN
         :NEW.DTULTATUSETC := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('SETORCOZ', :OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';CDSETORCOZ='||:OLD.CDSETORCOZ||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE SETORCOZ MODIFY DTULTATUSETC DEFAULT SYSDATE
/
